<?php
/**
 * Template Name: Custom home page
 */
get_header(); ?>

<?php do_action('mega_construction_above_contact_section'); ?>

  <?php if( get_theme_mod( 'mega_construction_slider_hide') != '') { ?>
    <section id="slider">
      <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel"> 
        <?php $content_pages = array(); 
          for ( $count = 1; $count <= 4; $count++ ) {
            $mod = intval( get_theme_mod( 'mega_construction_slidersettings_page' . $count ));
            if ( 'page-none-selected' != $mod ) {
              $content_pages[] = $mod;
            }
          }
          if( !empty($content_pages) ) :
            $args = array(
                'post_type' => 'page',
                'post__in' => $content_pages,
                'orderby' => 'post__in'
            );
            
            $query = new WP_Query( $args );
            if ( $query->have_posts() ) :
              $i = 1;
        ?>     
        <div class="carousel-inner" role="listbox">
          <?php  while ( $query->have_posts() ) : $query->the_post();?>
          <div <?php if($i == 1){echo 'class="carousel-item active"';} else{ echo 'class="carousel-item"';}?>>
            <a href="<?php echo esc_url( get_permalink() );?>"><?php the_post_thumbnail(); ?><span class="screen-reader-text"><?php the_title(); ?></span></a>
            <div class="carousel-caption">
              <div class="inner_carousel">
                <h1><?php the_title();?></h1>  
                <p><?php $excerpt = get_the_excerpt(); echo esc_html( mega_construction_string_limit_words( $excerpt,25 ) ); ?></p>
              </div>
            </div>
          </div>
          <?php $i++; endwhile; 
          wp_reset_postdata();?>
        </div>
        <?php else : ?>
          <div class="no-postfound"></div>
        <?php endif;
        endif;?>
        <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
          <span class="carousel-control-prev-icon" aria-hidden="true"><i class="fas fa-chevron-left"></i></span>
          <span class="screen-reader-text"><?php esc_html_e( 'Previous', 'mega-construction' ); ?></span>
        </a>
        <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
          <span class="carousel-control-next-icon" aria-hidden="true"><i class="fas fa-chevron-right"></i></span>
          <span class="screen-reader-text"><?php esc_html_e( 'Next', 'mega-construction' ); ?></span>
        </a>
      </div>  
      <div class="clearfix"></div>
    </section> 
  <?php }?>

  <div class="header-nav">
    <?php get_template_part( 'template-parts/header/navigation' ); ?> 
  </div>

  <?php if( get_theme_mod( 'mega_construction_address' ) != '' ||  get_theme_mod( 'mega_construction_address1' ) != '' ||  get_theme_mod( 'mega_construction_phone' ) != '' ||  get_theme_mod( 'mega_construction_phone1' ) != '' ||  get_theme_mod( 'mega_construction_email' ) != '' ||  get_theme_mod( 'mega_construction_email1' ) != '' || get_theme_mod( 'mega_construction_button_link' ) != '' ) { ?>
    <section id="contact-us">
      <div class="container"> 
        <div class="row">   
          <div class="col-lg-3 col-md-3">
            <?php if( get_theme_mod( 'mega_construction_address' ) != '') { ?>
            <div class="row">
              <div class="col-lg-2 col-md-12">
                <i class="fas fa-map-marker"></i>
              </div>
              <div class="col-lg-10 col-md-12">
                <p><?php echo esc_html( get_theme_mod('mega_construction_address','') ); ?></p>
                <p><?php echo esc_html( get_theme_mod('mega_construction_address1','') ); ?></p>
              </div>
            </div>
            <?php }?>
          </div>
          <div class="col-lg-3 col-md-3">
            <?php if( get_theme_mod( 'mega_construction_phone' ) != '') { ?>
            <div class="phone">
              <div class="row">
                <div class="col-lg-2 col-md-12">
                  <i class="fas fa-phone"></i>
                </div>
                <div class="col-lg-10 col-md-12">
                  <p><?php echo esc_html( get_theme_mod('mega_construction_phone','') ); ?></p>
                  <p><?php echo esc_html( get_theme_mod('mega_construction_phone1','') ); ?></p>
                </div>
              </div>
            </div>
            <?php }?>
          </div>   
          <div class="col-lg-3 col-md-3">
            <?php if( get_theme_mod( 'mega_construction_phone' ) != '') { ?>
            <div class="row">
              <div class="col-lg-2 col-md-12">
                <i class="fab fa-telegram-plane"></i>
              </div>
              <div class="col-lg-10 col-md-12">
                <p><?php echo esc_html( get_theme_mod('mega_construction_email','') ); ?></p>
                <p><?php echo esc_html( get_theme_mod('mega_construction_email1','') ); ?></p>
              </div>
            </div>
            <?php }?>
          </div>    
          <?php if( get_theme_mod( 'mega_construction_button_link','' ) != '') { ?>
            <div class="col-lg-3 col-md-3">
              <div class="contactbtn">
                <a href="<?php echo esc_url( get_theme_mod('mega_construction_button_link','' ) ); ?>"><?php esc_html_e( 'SPECIAL OFFERS','mega-construction' ); ?><span class="screen-reader-text"><?php esc_html_e( 'SPECIAL OFFERS','mega-construction' ); ?></span></a>
              </div>
            </div>
          <?php }?>
        </div>
      </div>
    </section>
  <?php }?>

<main id="maincontent" role="main">
  <?php do_action('mega_construction_below_about_section'); ?>

  <?php if( get_theme_mod( 'mega_construction_about_setting','' ) != '') { ?>
    <section class="about">
      <div class="container">
        <?php
        $postData1 =  get_theme_mod('mega_construction_about_setting');
          if($postData1){
            $args = array( 'name' => esc_html($postData1 ,'mega-construction'));
          $query = new WP_Query( $args );
          if ( $query->have_posts() ) :
            while ( $query->have_posts() ) : $query->the_post(); ?>
              <div class="row">
                <div class="col-lg-8 col-md-7">
                  <div class="abt-image">
                    <?php the_post_thumbnail(); ?>
                  </div>
                </div>
                <div class="col-lg-4 col-md-5">
                  <?php if( get_theme_mod('mega_construction_sec1_title') != ''){ ?>     
                    <h2><?php echo esc_html(get_theme_mod('mega_construction_sec1_title','')); ?></h2>
                  <?php }?>
                  <div class="textbox">
                    <h3><?php the_title(); ?></h3>
                    <p><?php the_excerpt(); ?></p>
                    <a href="<?php the_permalink(); ?>"><?php esc_html_e('VIEW MORE','mega-construction'); ?><i class="fas fa-long-arrow-alt-right"></i><span class="screen-reader-text"><?php esc_html_e('VIEW MORE','mega-construction'); ?></span></a>
                  </div>
                </div> 
              </div>         
            <?php endwhile; 
            wp_reset_postdata();?>
            <?php else : ?>
               <div class="no-postfound"></div>
            <?php
        endif; } ?>
      </div>
    </section>
  <?php }?>

  <?php do_action('mega_construction_after_about_section'); ?>

  <div class="container">
    <?php while ( have_posts() ) : the_post(); ?>
      <?php the_content(); ?>
    <?php endwhile; // end of the loop. ?>
  </div>
</main>

<?php get_footer(); ?>